ARG BUILD_IMAGE=

FROM ${BUILD_IMAGE}

ENV LANG=C.UTF-8


ARG GITLAB_LOGGER_VERSION=v3.0.0
ARG GITLAB_LOGGER_SHA256=b6bca21e3eba525334f4b140d9d9405181a25821365ccd9065402fa050af78d5

ENV GITLAB_LOGGER_SOURCE_URL="https://gitlab.com/gitlab-org/cloud-native/gitlab-logger/-/archive/${GITLAB_LOGGER_VERSION}/gitlab-logger-${GITLAB_LOGGER_VERSION}.tar.gz"

ENV GOTOOLCHAIN=local

ADD gitlab-go.tar.gz /

RUN mkdir -p /build /target \
    && ln -sf /usr/local/go/bin/* /usr/local/bin
COPY scripts/ /scripts

RUN /scripts/dependencies.ubi
RUN /scripts/download
RUN /scripts/build

# The contents of /assets will be extracted by copy_assets in build.sh
RUN mv /target /assets
